Gentoo Archives: gentoo-commits

From: "Tiziano Mueller (dev-zero)" <dev-zero@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] gentoo-x86 commit in net-fs/samba: ChangeLog metadata.xml samba-3.0.31.ebuild
Date: Fri, 08 Aug 2008 15:36:45
Message-Id: E1KRU1C-0002Lc-9N@stork.gentoo.org
1 dev-zero 08/08/08 15:36:42
2
3 Modified: ChangeLog metadata.xml
4 Added: samba-3.0.31.ebuild
5 Log:
6 Version bump, readded oav USE-flag (bug #199769).
7 (Portage version: 2.2_rc5/cvs/Linux 2.6.26-gentoo x86_64)
8
9 Revision Changes Path
10 1.338 net-fs/samba/ChangeLog
11
12 file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-fs/samba/ChangeLog?rev=1.338&view=markup
13 plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-fs/samba/ChangeLog?rev=1.338&content-type=text/plain
14 diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-fs/samba/ChangeLog?r1=1.337&r2=1.338
15
16 Index: ChangeLog
17 ===================================================================
18 RCS file: /var/cvsroot/gentoo-x86/net-fs/samba/ChangeLog,v
19 retrieving revision 1.337
20 retrieving revision 1.338
21 diff -u -r1.337 -r1.338
22 --- ChangeLog 12 Jun 2008 12:10:25 -0000 1.337
23 +++ ChangeLog 8 Aug 2008 15:36:41 -0000 1.338
24 @@ -1,6 +1,12 @@
25 # ChangeLog for net-fs/samba
26 # Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
27 -# $Header: /var/cvsroot/gentoo-x86/net-fs/samba/ChangeLog,v 1.337 2008/06/12 12:10:25 dev-zero Exp $
28 +# $Header: /var/cvsroot/gentoo-x86/net-fs/samba/ChangeLog,v 1.338 2008/08/08 15:36:41 dev-zero Exp $
29 +
30 +*samba-3.0.31 (08 Aug 2008)
31 +
32 + 08 Aug 2008; Tiziano Müller <dev-zero@g.o> metadata.xml,
33 + +samba-3.0.31.ebuild:
34 + Version bump, readded oav USE-flag (bug #199769).
35
36 *samba-3.2.0_rc2 (12 Jun 2008)
37
38
39
40
41 1.6 net-fs/samba/metadata.xml
42
43 file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-fs/samba/metadata.xml?rev=1.6&view=markup
44 plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-fs/samba/metadata.xml?rev=1.6&content-type=text/plain
45 diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-fs/samba/metadata.xml?r1=1.5&r2=1.6
46
47 Index: metadata.xml
48 ===================================================================
49 RCS file: /var/cvsroot/gentoo-x86/net-fs/samba/metadata.xml,v
50 retrieving revision 1.5
51 retrieving revision 1.6
52 diff -u -r1.5 -r1.6
53 --- metadata.xml 1 Mar 2007 04:36:42 -0000 1.5
54 +++ metadata.xml 8 Aug 2008 15:36:41 -0000 1.6
55 @@ -9,4 +9,13 @@
56 <longdescription>
57 Samba is an Open Source/Free Software suite that provides seamless file and print services to SMB/CIFS clients. Integration with various accounting and antivirus backends. License: GNU General Public License.
58 </longdescription>
59 +<use>
60 + <flag name="ads">Enable Active Directory support</flag>
61 + <flag name="async">Enables asynchronous input/output</flag>
62 + <flag name="automount">Enables automount support</flag>
63 + <flag name="oav">Enables support for the OpenAntiVirus plugins</flag>
64 + <flag name="quotas">Enables support for user quotas</flag>
65 + <flag name="swat">Enables support for swat configuration gui</flag>
66 + <flag name="winbind">Enables support for the winbind auth daemon</flag>
67 +</use>
68 </pkgmetadata>
69
70
71
72 1.1 net-fs/samba/samba-3.0.31.ebuild
73
74 file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-fs/samba/samba-3.0.31.ebuild?rev=1.1&view=markup
75 plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-fs/samba/samba-3.0.31.ebuild?rev=1.1&content-type=text/plain
76
77 Index: samba-3.0.31.ebuild
78 ===================================================================
79 # Copyright 1999-2008 Gentoo Foundation
80 # Distributed under the terms of the GNU General Public License v2
81 # $Header: /var/cvsroot/gentoo-x86/net-fs/samba/samba-3.0.31.ebuild,v 1.1 2008/08/08 15:36:41 dev-zero Exp $
82
83 inherit autotools eutils pam python multilib versionator confutils
84
85 VSCAN_P="samba-vscan-0.3.6c-beta5"
86 MY_P=${PN}-${PV/_/}
87
88 DESCRIPTION="A suite of SMB and CIFS client/server programs for UNIX"
89 HOMEPAGE="http://www.samba.org/"
90 SRC_URI="mirror://samba/${MY_P}.tar.gz
91 mirror://samba/old-versions/${MY_P}.tar.gz
92 oav? ( http://www.openantivirus.org/download/${VSCAN_P}.tar.gz )"
93 LICENSE="GPL-3 oav? ( GPL-2 LGPL-2.1 )"
94 SLOT="0"
95 KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~sparc-fbsd ~x86 ~x86-fbsd"
96 IUSE="acl ads async automount caps cups debug doc examples ipv6 kernel_linux ldap fam
97 pam python quotas readline selinux swat syslog winbind oav"
98
99 RDEPEND="dev-libs/popt
100 virtual/libiconv
101 acl? ( kernel_linux? ( sys-apps/acl ) )
102 cups? ( net-print/cups )
103 ipv6? ( sys-apps/xinetd )
104 ads? ( virtual/krb5 )
105 ldap? ( net-nds/openldap )
106 pam? ( virtual/pam )
107 python? ( dev-lang/python )
108 readline? ( sys-libs/readline )
109 selinux? ( sec-policy/selinux-samba )
110 swat? ( sys-apps/xinetd )
111 syslog? ( virtual/logger )
112 fam? ( virtual/fam )
113 caps? ( sys-libs/libcap )"
114 DEPEND="${RDEPEND}"
115
116 # Tests are broken now :-(
117 RESTRICT="test"
118
119 S=${WORKDIR}/${MY_P}
120 CONFDIR=${FILESDIR}/config
121 PRIVATE_DST=/var/lib/samba/private
122
123 pkg_setup() {
124 confutils_use_depend_all ads ldap
125 }
126
127 src_unpack() {
128 unpack ${A}
129 cd "${S}/source"
130
131 # lazyldflags.patch: adds "-Wl,-z,now" to smb{mnt,umount}
132 # invalid-free-fix.patch: Bug #196015 (upstream: #5021)
133
134 epatch \
135 "${FILESDIR}/3.0.26a-lazyldflags.patch" \
136 "${FILESDIR}/3.0.26a-invalid-free-fix.patch" \
137 "${FILESDIR}/3.0.28-fix_broken_readdir_detection.patch" \
138 "${FILESDIR}/3.0.28-autoconf-2.62-fix.patch" \
139 "${FILESDIR}/3.0.28a-wrong_python_ldflags.patch"
140
141 eautoconf -I. -Ilib/replace
142
143 # Ok, agreed, this is ugly. But it avoids a patch we
144 # need for every samba version and we don't need autotools
145 sed -i \
146 -e 's|"lib32" ||' \
147 -e 's|if test -d "$i/$l" ;|if test -d "$i/$l" -o -L "$i/$l";|' \
148 configure || die "sed failed"
149
150 rm "${S}/docs/manpages"/{mount,umount}.cifs.8
151
152 }
153
154 src_compile() {
155 cd "${S}/source"
156
157 local myconf
158 local mylangs
159 local mymod_shared
160
161 python_version
162 myconf="--with-python=no"
163 use python && myconf="--with-python=${python}"
164
165 use winbind && mymod_shared="--with-shared-modules=idmap_rid"
166 if use ldap ; then
167 myconf="${myconf} $(use_with ads)"
168 use winbind && mymod_shared="${mymod_shared},idmap_ad"
169 fi
170
171 [[ ${CHOST} == *-*bsd* ]] && myconf="${myconf} --disable-pie"
172 use hppa && myconf="${myconf} --disable-pie"
173
174 use caps && export ac_cv_header_sys_capability_h=yes || export ac_cv_header_sys_capability_h=no
175
176 # Otherwise we get the whole swat stuff installed
177 if ! use swat ; then
178 sed -i \
179 -e 's/^\(install:.*\)installswat \(.*\)/\1\2/' \
180 Makefile.in || die "sed failed"
181 fi
182
183 econf \
184 --with-fhs \
185 --sysconfdir=/etc/samba \
186 --localstatedir=/var \
187 --with-configdir=/etc/samba \
188 --with-libdir=/usr/$(get_libdir)/samba \
189 --with-pammodulesdir=$(getpam_mod_dir) \
190 --with-swatdir=/usr/share/doc/${PF}/swat \
191 --with-piddir=/var/run/samba \
192 --with-lockdir=/var/cache/samba \
193 --with-logfilebase=/var/log/samba \
194 --with-privatedir=${PRIVATE_DST} \
195 --with-libsmbclient \
196 --enable-socket-wrapper \
197 --with-cifsmount=no \
198 $(use_with acl acl-support) \
199 $(use_with async aio-support) \
200 $(use_with automount) \
201 $(use_enable cups) \
202 $(use_enable debug) \
203 $(use_enable fam) \
204 $(use_with ads krb5) \
205 $(use_with ldap) \
206 $(use_with pam) $(use_with pam pam_smbpass) \
207 $(use_with quotas) $(use_with quotas sys-quotas) \
208 $(use_with readline) \
209 $(use_with kernel_linux smbmount) \
210 $(use_with syslog) \
211 $(use_with winbind) \
212 ${myconf} ${mylangs} ${mymod_shared}
213
214 emake proto || die "emake proto failed"
215 emake everything || die "emake everything failed"
216
217 if use python ; then
218 emake python_ext || die "emake python_ext failed"
219 fi
220
221 if use oav ; then
222 # maintainer-info:
223 # - there are no known releases of mks or kavdc,
224 # setting to builtin to disable auto-detection
225 cd "${WORKDIR}/${VSCAN_P}"
226 econf \
227 --with-fhs \
228 --with-samba-source="${S}/source" \
229 --with-libmksd-builtin \
230 --with-libkavdc-builtin \
231 --without-symantec \
232 --with-filetype \
233 --with-fileregexp \
234 $(use_enable debug)
235 emake || die "emake oav plugins failed"
236 fi
237 }
238
239 src_test() {
240 cd "${S}/source"
241 emake test || die "tests failed"
242 }
243
244 src_install() {
245 cd "${S}/source"
246
247 emake DESTDIR="${D}" install-everything || die "emake install-everything failed"
248
249 # Extra rpctorture progs
250 local extra_bins="rpctorture"
251 for i in ${extra_bins} ; do
252 [[ -x "${S}/bin/${i}" ]] && dobin "${S}/bin/${i}"
253 done
254
255 # remove .old stuff from /usr/bin:
256 rm -f "${D}"/usr/bin/*.old
257
258 # Removing executable bits from header-files
259 fperms 644 /usr/include/lib{msrpc,smbclient}.h
260
261 # Nsswitch extensions. Make link for wins and winbind resolvers
262 if use winbind ; then
263 dolib.so nsswitch/libnss_wins.so
264 dosym libnss_wins.so /usr/$(get_libdir)/libnss_wins.so.2
265 dolib.so nsswitch/libnss_winbind.so
266 dosym libnss_winbind.so /usr/$(get_libdir)/libnss_winbind.so.2
267 fi
268
269 if use kernel_linux ; then
270 # Warning: this can byte you if /usr is
271 # on a separate volume and you have to mount
272 # a smb volume before the local mount
273 dosym ../usr/bin/smbmount /sbin/mount.smbfs
274 fperms 4755 /usr/bin/smbmnt
275 fperms 4755 /usr/bin/smbumount
276 fi
277
278 # bug #46389: samba doesn't create symlink anymore
279 # beaviour seems to be changed in 3.0.6, see bug #61046
280 dosym samba/libsmbclient.so /usr/$(get_libdir)/libsmbclient.so.0
281 dosym samba/libsmbclient.so /usr/$(get_libdir)/libsmbclient.so
282
283 # make the smb backend symlink for cups printing support (bug #133133)
284 if use cups ; then
285 dodir $(cups-config --serverbin)/backend
286 dosym /usr/bin/smbspool $(cups-config --serverbin)/backend/smb
287 fi
288
289 if use python ; then
290 emake DESTDIR="${D}" python_install || die "emake installpython failed"
291 # We're doing that manually
292 find "${D}/usr/$(get_libdir)/python${PYVER}/site-packages" -iname "*.pyc" -delete
293 fi
294
295 cd "${S}/source"
296
297 # General config files
298 insinto /etc/samba
299 doins "${CONFDIR}"/{smbusers,lmhosts}
300 newins "${CONFDIR}/smb.conf.example-samba3" smb.conf.example
301
302 newpamd "${CONFDIR}/samba.pam" samba
303 use winbind && dopamd "${CONFDIR}/system-auth-winbind"
304 if use swat ; then
305 insinto /etc/xinetd.d
306 newins "${CONFDIR}/swat.xinetd" swat
307 else
308 rm -f "${D}/usr/sbin/swat"
309 rm -f "${D}/usr/share/man/man8/swat.8"
310 fi
311
312 newinitd "${FILESDIR}/samba-init" samba
313 newconfd "${FILESDIR}/samba-conf" samba
314
315 if use ldap ; then
316 insinto /etc/openldap/schema
317 doins "${S}/examples/LDAP/samba.schema"
318 fi
319
320 if use ipv6 ; then
321 insinto /etc/xinetd.d
322 newins "${FILESDIR}/samba-xinetd" smb
323 fi
324
325 # dirs
326 diropts -m0700 ; keepdir "${PRIVATE_DST}"
327 diropts -m1777 ; keepdir /var/spool/samba
328
329 diropts -m0755
330 keepdir /var/{log,run,cache}/samba
331 keepdir /var/lib/samba/{netlogon,profiles}
332 keepdir /var/lib/samba/printers/{W32X86,WIN40,W32ALPHA,W32MIPS,W32PPC,X64,IA64,COLOR}
333 keepdir /usr/$(get_libdir)/samba/{rpc,idmap,auth}
334
335 # docs
336 dodoc "${FILESDIR}/README.gentoo"
337 dodoc "${S}"/{MAINTAINERS,README,Roadmap,WHATSNEW.txt}
338 dodoc "${CONFDIR}/nsswitch.conf-wins"
339 use winbind && dodoc "${CONFDIR}/nsswitch.conf-winbind"
340
341 if use examples ; then
342 insinto /usr/share/doc/${PF}
343 doins -r "${S}/examples/"
344 find "${D}/usr/share/doc/${PF}" -type d -print0 | xargs -0 chmod 755
345 find "${D}/usr/share/doc/${PF}/examples" ! -type d -print0 | xargs -0 chmod 644
346 if use python ; then
347 insinto /usr/share/doc/${PF}/python
348 doins -r "${S}/source/python/examples"
349 fi
350 fi
351
352 if ! use doc ; then
353 if ! use swat ; then
354 rm -rf "${D}/usr/share/doc/${PF}/swat"
355 else
356 rm -rf "${D}/usr/share/doc/${PF}/swat/help"/{guide,howto,devel}
357 rm -rf "${D}/usr/share/doc/${PF}/swat/using_samba"
358 fi
359 else
360 cd "${S}/docs"
361 insinto /usr/share/doc/${PF}
362 doins *.pdf
363 doins -r registry
364 dohtml -r htmldocs/*
365 fi
366
367 if use oav ; then
368 cd "${WORKDIR}/${VSCAN_P}"
369 emake DESTDIR="${D}" install || die "emake install oav plugins failed"
370 docinto samba-vscan
371 dodoc AUTHORS ChangeLog FAQ INSTALL NEWS README TODO
372 find . -iname "*.conf" -print0 | xargs -0 dodoc
373 fi
374 }
375
376 pkg_preinst() {
377 local PRIVATE_SRC=/etc/samba/private
378 if [[ ! -r "${ROOT}/${PRIVATE_DST}/secrets.tdb" \
379 && -r "${ROOT}/${PRIVATE_SRC}/secrets.tdb" ]] ; then
380 ebegin "Copying ${ROOT}/${PRIVATE_SRC}/* to ${ROOT}/${PRIVATE_DST}/"
381 mkdir -p "${D}/${PRIVATE_DST}"
382 cp -pPRf "${ROOT}/${PRIVATE_SRC}"/* "${D}/${PRIVATE_DST}/"
383 eend $?
384 fi
385
386 if [[ ! -f "${ROOT}/etc/samba/smb.conf" ]] ; then
387 touch "${D}/etc/samba/smb.conf"
388 fi
389 }
390
391 pkg_postinst() {
392 if use python ; then
393 python_version
394 python_mod_optimize /usr/$(get_libdir)/python${PYVER}/site-packages/samba
395 fi
396
397 if use swat ; then
398 einfo "swat must be enabled by xinetd:"
399 einfo " change the /etc/xinetd.d/swat configuration"
400 fi
401
402 if use ipv6 ; then
403 einfo "ipv6 support must be enabled by xinetd:"
404 einfo " change the /etc/xinetd.d/smb configuration"
405 fi
406
407 elog "It is possible to start/stop daemons separately:"
408 elog " Create a symlink from /etc/init.d/samba.{smbd,nmbd,winbind} to"
409 elog " /etc/init.d/samba. Calling /etc/init.d/samba directly will start"
410 elog " the daemons configured in /etc/conf.d/samba"
411
412 elog "The mount/umount.cifs helper applications are not included anymore."
413 elog "Please install net-fs/mount-cifs instead."
414
415 if use oav ; then
416 elog "The configure snippets for various antivirus plugins are available here:"
417 elog " /usr/share/doc/${PF}/samba-vscan"
418 fi
419
420 ewarn "If you're upgrading from 3.0.24 or earlier, please make sure to"
421 ewarn "restart your clients to clear any cached information about the server."
422 ewarn "Otherwise they might not be able to connect to the volumes."
423 }
424
425 pkg_postrm() {
426 if use python ; then
427 python_version
428 python_mod_cleanup /usr/$(get_libdir)/python${PYVER}/site-packages/samba
429 fi
430 }